<?php
namespace App\ViewModels\Procedimento\ProcedimentoRegistrationViewModel;

use App\Utils\Entity;

class ProcedimentoRegistrationViewModel extends Entity
{
    protected $descricao;
    protected $id_tipo_procedimento;
    protected $criado_por;
    protected $exame;

    public static function builder() : ProcedimentoRegistrationViewModelBuilder
    {
        return (new ProcedimentoRegistrationViewModelBuilder);
    }

    public function getDescricao(): string
    {
        return $this->descricao;
    }

    public function getIdTIPOPROCEDIMENTO(): int
    {
        return $this->id_tipo_procedimento;
    }

    public function getCriadoPor() : int
    {
        return $this->criado_por;
    }

    public function setDescricao(string $descricao): void
    {
        $this->descricao = $descricao;
    }

    public function setIdTIPOPROCEDIMENTO(int $id_tipo_procedimento): void
    {
        $this->id_tipo_procedimento = $id_tipo_procedimento;
    }

    public function setCriadoPor(int $criado_por): void
    {
        $this->criado_por = $criado_por;
    }

    public function getExame()
    {
        return $this->exame;
    }

    public function setExame($exame): void
    {
        $this->exame = $exame;
    }


}